Subject: bug#4987: 23.1; shell-command: optionally include working dir in prompt

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Nov 2009 19:27:21 +0200

> At http://namazu.org/~tsuchiya/elisp/shell-command.el is an emacs
> library that "enables tab-completion for `shell-command'".
>
> I noticed recently that Emacs does this internally now.  Yay!  But one
> thing shell-command.el did that Emacs 23 doesn't appear to do, is to
> include the working directory in the shell-command and
> dired-do-shell-command prompts.  It'd be neat if Emacs did that, too.

shell-command.el relies on defadvices to implement this.  I think a clean
implementation should be designed to work more like minibuf-eldef.el.

-- 
Juri Linkov
http://www.jurta.org/emacs/